#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EWindowStackingOrder {
    Invalid = 0,
    Top = 1,
    Bottom = 2,
}

impl EWindowStackingOrder {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Top as i32 => Some(Self::Top),
            x if x == Self::Bottom as i32 => Some(Self::Bottom),
            _ => None,
        }
    }
}
